#! /bin/bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $DIR;				# we are in script/, cd up a level
cd ..;

# PART 1: Remove common prefix
# fill in SEARCH_PATTERN and REPLACE_PATTERN
# e.g. CBO9780511609619A011.pdf --> 011.pdf

for oldName in *.pdf; do
    newName=$(echo $oldName | sed -e 's/SEARCH_PATTERN/REPLACE_PATTERN/')
    mv -v "$oldName" "$newName"
done

# PART 2: Fix copied chapter names:
# e.g. 1 - Overview: Read PDF pp. 1-10  --> Overview

sed -i -e 's/SEARCH_PATTERN/REPLACE_PATTERN/g' script/chapters.txt    

# PART 3: Rename files (uncomment when ready)

# FILES=($(ls *.pdf))
# CHAPTERS=($(cat script/chapters.txt))
# len=${#FILES[@]}

# for i in $(seq 1 $len); do
#     new=$(printf "%02d_%s.pdf" "$i" "${CHAPTERS[$i]}")
#     mv -- "${FILES[$i]}" "$new"
# done
